/// <reference types="core-js" />
import { flushMicrotasks } from '@angular/core/testing';
export { flushMicrotasks };
/**
 * Wraps angular fakeAsync with the ability to track pending requests
 *
 * When a request is initiated using mockAsync, the request is pushed to the requestQueue
 * If there are any pending requests at the end of the function, an exception will be thrown.
 *
 * Also overrides 'now' on the default rxjs scheduler to return a value based on how much time has elapsed via 'tick'
 *
 * @param fn
 * @returns {Function} The function wrapped to be executed in the fakeAsync zone
 */
export declare function rlFakeAsync(fn: Function): {
    (done?: {
        (): void;
    }): void;
};
export declare function rlQueueRequest(request: any): void;
export declare function rlTick(milliseconds?: number): void;
