/// <reference types="sinon" />
import { Observable } from 'rxjs';
import { SinonSpy } from 'sinon';
import { IMockedPromise } from './mockPromise';
export { IMockedPromise } from './mockPromise';
export interface IMockAsyncService {
    request<TData>(result?: TData | {
        (...args: any[]): TData;
    }, share?: boolean): IMockedRequest<TData>;
    rejectedRequest<TData>(...params: any[]): IMockedRequest<TData>;
    promise<TData>(result?: TData | {
        (...args: any[]): TData;
    }, share?: boolean): IMockedPromise<TData>;
    rejectedPromise<TData>(...params: any[]): IMockedPromise<TData>;
    flushAll(service: any): void;
}
export interface IMockedRequest<TData> extends SinonSpy {
    (...args: any[]): Observable<TData>;
    reject(error: any): void;
    rejected: boolean;
    flush(): void;
    share(share?: boolean): void;
}
export declare const mock: IMockAsyncService;
